Skip to main content

Add SSH Key

PUT/api/v1/nodes/{node_id}/actions/

Path parameters

  • node_idPathstringrequired

    Path parameter node_id.

Query parameters

  • project_idQuerystringoptional

    Identifier of the project to scope the request to. Optional; if omitted, the account's default project is used.

    • optional
    • if omitted, the request is applied to the default project
    example{{project_id}}
  • apikeyQuerystringoptional

    API key used to authenticate the request

    • required
    • must be a non-empty alphanumeric string
    example{{api_key}}
  • locationQuerystringoptional

    Specifies the target location for the SSH key

    • Must be a non-empty string
    • Should be URL-encoded if it contains special characters
    example{{location}}

Request body

application/json

object
ssh_keysarray
typestring

Identifier specifying the add SSH key operation

exampleadd_ssh_keys
  • must be the string "add_ssh_keys"
  • must be a non-empty string

Responses

200Successful response
object
codeinteger

HTTP status code of the operation

example200
  • must be a valid HTTP status code (100-599)
  • non-negative integer
dataobject
errorsobject
messagestring

Status message indicating the result of adding an SSH key

exampleSuccess
  • non-empty string
  • maximum length 255 characters